extension StringPiping on String {
  /// Places the left-side `String x`  into right-side `Function f` as single argument.
  /// Returns the function result `f(x)` or source `x` as dynamic if function result is null. 
  operator | (Function(String) f) => f(this) ?? this; 
}

extension MapPiping on Map {
  /// Places the left-side `Map x` into right-side `Function f` as single argument.
  /// Returns the function result `f(x)` or source `x` as dynamic if function result is null. 
  operator | (Function(Map) f) => f(this) ?? this;
}

extension IterablePiping on Iterable {
  /// Places the left-side `Iterable i` into right-side `Function f` as single argument.
  /// Returns the function result `f(x)` or source `x` as dynamic if function result is null. 
  operator | ( Function(Iterable) f) => f(this) ?? this;
}
